Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453931 - mod_dav_svn-1.5.0-7 undefined symbol
Summary: mod_dav_svn-1.5.0-7 undefined symbol
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 10:41 UTC by Brad Walker
Modified: 2009-03-09 14:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-09 14:22:35 UTC


Attachments (Terms of Use)

Description Brad Walker 2008-07-03 10:41:07 UTC
Description of problem: 
httpd cannot load the mod_dav_svn module


Version-Release number of selected component (if applicable):
httpd-2.2.8-3.x86_64
mod_dav_svn-1.5.0-7.x86_64
apr-1.2.12-2.fc9.x86_64
apr-util-1.2.12-5.fc9.x86_64


How reproducible:
100%


Steps to Reproduce:
1. service httpd start


Actual results:
[root@brad ~]# service httpd start
Starting httpd: httpd: Syntax error on line 209 of /etc/httpd/conf/httpd.conf:
Syntax error on line 2 of /etc/httpd/conf.d/subversion.conf: Cannot load
/etc/httpd/modules/mod_dav_svn.so into server: /usr/lib64/libsvn_subr-1.so.0:
undefined symbol: apr_hash_clear


Additional Info:
Works with apr + apr-util from fc10
apr-1.3.2-1.fc10.x86_64
apr-util-1.3.2-4.fc10.x86_64

Comment 1 Joe Orton 2008-07-03 10:48:49 UTC
1.5.0 is not in F9, it's in Raw Hide.  The requirement for APR 1.3.0 is a
missing dep; thanks for the report.

Comment 2 Bug Zapper 2008-11-26 02:30:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Joe Orton 2009-03-09 14:22:35 UTC
This was fixed by GA; thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.